pg_ping
pg_prepare
PostgreSQL Functions
PHP Manual

# pg_port

Return the port number associated with the connection

### Description

int pg_port ([ resource `$connection` ] )

pg_port returns the port number that the given PostgreSQL `connection` resource is connected to.

### Parameters

`connection`

  PostgreSQL database connection resource. When `connection` is not present, the default connection is used. The default connection is the last connection made by pg_connect or pg_pconnect.

### Return Values

An int containing the port number of the database server the `connection` is to, or `FALSE` on error.

### Examples

Example #1 pg_port example

`<?php
$pgsql_conn = pg_connect("dbname=mark host=localhost");
if ($pgsql_conn) {
print "Successfully connected to port: " . pg_port($pgsql_conn) . "<br/>\n";
} else {
print pg_last_error($pgsql_conn);
exit;
}
?>`